package xtools.boot.api.enums;

/**
 * <p>Title : BaseEnum</p>
 * <p>Description : BaseEnum</p>
 * <p>DevelopTools : Idea_x64_v2026.1</p>
 * <p>DevelopSystem : macOS Sequoia 15.7.5</p>
 * <p>Company : org.xujun</p>
 *
 * @author : XuJun
 * @version : 5.0.0
 * @date : 2026/2/3 10:31
 */
public interface BaseEnum {

    /**
     * 获取所有枚举
     *
     * @return 所有枚举
     */
    default BaseEnum[] all() {
        return null;
    }

    /**
     * 获取枚举编码
     *
     * @return 枚举编码
     */
    int code();

    /**
     * 获取枚举说明
     *
     * @return 枚举说明
     */
    String desc();

}
